<?
include_once("valida_sessao.php");
protegePagina();
include_once("adm_head.php");
?>

<span class="dir">Alterar/Excluir Template</span>
</div>
<div id="conteudo">

<!-- Formulário de busca -->
<form action="busca.php" method="post">
<div class="busca">
<select name="campo">
  <option value="t_id">ID</option>
  <option value="t_nome" selected="selected">Nome</option>
</select>
<input type="text" name="busca" />
<input type="hidden" name="arq" value="<? echo $_SERVER['PHP_SELF'] ?>" />
<input type="submit" value="Buscar" class="botao" />
</div>
<!-- FIM Formulário de busca -->


  <?php
include("config.php");

if (isset($_GET['acao'])){
	if ($_GET['acao']=="remover") {
	
		$id = $_GET['id'];				
		
		$delete = "DELETE FROM ctd_templates WHERE t_id = $id";		
   		mysqli_query($conn, $delete);
			
	}
}

include("utf8.php");

//paginação
include_once("pag_ini.php");
$ajax = 0;
$total = 1;
//fim paginação

//alteração pra busca na mesma pagina
$sql = "SELECT * FROM ctd_templates ";
	echo "<input type=\"hidden\" name=\"qry\" value=\"$sql\" /> </form>";	
	
if(isset($_POST['qry'])){
	$qry = stripslashes($_POST['qry']);
}else{
	$qry = "SELECT * FROM ctd_templates ORDER BY t_id ASC";
}

//ALTERAÇÃO PARA BUSCA COM PAGINAÇÃO
if(isset($_GET['qry']))
	$qry = stripslashes(base64_decode($_GET['qry']));

//alteração pra busca na mesma pagina

$consulta = mysqli_query($conn, $qry.$sqlFinal);

//navegador de paginação
include_once("pag_fim.php");
//fim navegador de paginação
?>

<table align="center" class="form exibe">
  <tr>
    <th width="1">ID</th>
    <th>Nome</th>    
    <th width="1">Alterar</th>
    <th width="1">Excluir</th>
  </tr>
  
<?
while ($linha = mysqli_fetch_array($consulta)) {
?>
  <tr>
    <td><?=$linha['t_id'];?></td>
    <td><?=$linha['t_nome'];?></td>     
    <td><input type="image" src="imagem/editar.png" name="acao" onclick="location.href = 'ctd_template_alt.php?id=<?=$linha['t_id'];?>'" /></td>
    <td><input type="image" src="imagem/excluir.png" value="remover" name="acao" onclick="confirma_template(<?=$linha['t_id'];?>)" /></td>
  </tr>
  <?php
}
mysqli_close($conn);
?>
</table>
</div>
<? include_once("adm_foot.php"); ?>
